Name:           perl-Test-Builder-Tester
Version:        1.01
Release:        4%{?dist}
Summary:        Test runner for Test::Builder testsuites

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Test-Builder-Tester/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKF/Test-Builder-Tester-1.01.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Module::Build), perl(Test::Builder), perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A module that helps you test testing modules that are built with
Test::Builder.


%prep
%setup -q -n Test-Builder-Tester-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES
%{perl_vendorlib}/Test
%{_mandir}/man3/*.3*


%changelog
* Thu May 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-4
- Add dist tag.

* Sat Apr 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.01-3
- Avoid .packlist creation with Module::Build >= 0.2609.
- Trust that %%{perl_vendorlib} is defined.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.01-2
- rebuilt

* Mon Aug  9 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.01-0.fdr.1
- Update to 1.01.

* Sun Jul  4 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.00-0.fdr.1
- Update to 1.00.
- Changed installation method: ExtUtils::MakeMaker => Module::Build.
- Removed requirement Term::ANSIColor (core module since perl 5.6.0).

* Wed May 12 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.09-0.fdr.4
- Avoid creation of the perllocal.pod file (make pure_install).

* Sun May  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.3
- BuildRequire perl(Term::ANSIColor) and perl(Test::More) (bug 1539).
- Require perl(Term::ANSIColor) (bug 1539).

* Fri Apr 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.2
- Require perl(:MODULE_COMPAT_*).
- Reduce directory ownership bloat.

* Wed Nov  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.09-0.fdr.1
- First build.

